.modal {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1050;
    display: none;
    overflow: hidden;
    outline: 0;
}
.modal-open {
    overflow: hidden;
}
.modal-open .modal {
    overflow-x: hidden;
    overflow-y: scroll;
}
.modal-dialog {
    position: relative;
    width: auto;
    margin: 16px;
    max-width: 100%;
}
.modal-dialog-centered {
    display: flex;
    align-items: center;
    min-height: calc(100% - (16px * 2));
}
.modal-dialog-centered:before {
    display: block;
    height: calc(100vh - (16px * 2));
    content: "";
}
.modal-dialog-scrollable {
    height: calc(100% - 32px);
}
.modal-dialog-scrollable .modal-scrollbar {
    flex: 1 1 auto;
}
.modal-content {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    background-clip: padding-box;
    outline: 0;
    height: 100%;
    background: var(--color-white);
    padding: 48px 24px 24px;
    overflow: hidden;
}
.modal-title {
    font-weight: 600;
    font-size: 26px;
    line-height: 1.3;
    color: var(--color-black);
}
.modal-backdrop {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1040;
    background-color: var(--color-overlay);
    display: none;
    backdrop-filter: blur(5px);
}
.modal-close {
    position: absolute;
    top: 0px;
    right: 0px;
    width: 40px;
    height: 40px;
    border-radius: 0;
    background: none;
    border: none;
    color: var(--color-black);
    z-index: 200;
    cursor: pointer;
    transition: color var(--animate);
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}
.modal-close:before {
    content: "\e901";
    font-family: var(--icons);
    font-size: 24px;
    line-height: 1;
    font-weight: normal;
    font-style: normal;
}
.modal-close:hover {
    color: var(--color-primary);
}
.modal-scrollbar-measure {
    position: absolute;
    top: -9999px;
    width: 50px;
    height: 50px;
    overflow: scroll;
}

dialog {
    display: flex;
    flex-direction: column;
    padding: 48px 24px 24px;
    border: none;
    background: var(--color-white);
    gap: 32px;
    text-align: center;
}
dialog::backdrop {
    background-color: var(--color-overlay);
}

@media screen and (min-width: 768px) {
    .modal .modal-dialog {
        max-width: 760px;
        margin: 16px auto;
    }
    .modal .modal-dialog_lg {
        max-width: 1230px;
    }
    .modal-content,
    dialog {
        padding: 80px;
    }
    dialog {
        width: 480px;
    }
    .modal-close {
        width: 80px;
        height: 80px;
    }
    .modal-close:before {
        font-size: 40px;
    }
    .modal-title {
        font-size: 36px;
    }
}